Package org.apache.struts2.security

# Interface AcceptedPatternsChecker

All Known Subinterfaces:
  `NotExcludedAcceptedPatternsChecker`

All Known Implementing Classes:
  `DefaultAcceptedPatternsChecker`, `DefaultNotExcludedAcceptedPatternsChecker`

public interface AcceptedPatternsChecker
Used across different interceptors to check if given string matches one of the accepted patterns.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final class`
  `AcceptedPatternsChecker.IsAccepted`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Pattern>`
  `getAcceptedPatterns()`
  Allow access list of all defined excluded patterns
  `AcceptedPatternsChecker.IsAccepted`
  `isAccepted(String value)`
  Checks if value matches any of patterns on exclude list
  `void`
  `setAcceptedPatterns(String commaDelimitedPatterns)`
  Sets excluded patterns during runtime
  `void`
  `setAcceptedPatterns(String[] patterns)`
  Set excluded patterns during runtime
  `void`
  `setAcceptedPatterns(Set<String> patterns)`
  Sets excluded patterns during runtime

- ## Method Details

  - ### isAccepted

    AcceptedPatternsChecker.IsAccepted isAccepted(String value)
    Checks if value matches any of patterns on exclude list
    Parameters:
      `value` - to check
    Returns:
      object containing result of matched pattern and pattern itself

  - ### setAcceptedPatterns

    void setAcceptedPatterns(String commaDelimitedPatterns)
    Sets excluded patterns during runtime
    Parameters:
      `commaDelimitedPatterns` - comma delimited string with patterns

  - ### setAcceptedPatterns

    void setAcceptedPatterns(String[] patterns)
    Set excluded patterns during runtime
    Parameters:
      `patterns` - array of additional excluded patterns

  - ### setAcceptedPatterns

    void setAcceptedPatterns(Set<String> patterns)
    Sets excluded patterns during runtime
    Parameters:
      `patterns` - set of additional patterns

  - ### getAcceptedPatterns

    Set<Pattern> getAcceptedPatterns()
    Allow access list of all defined excluded patterns
    Returns:
      set of excluded patterns